Subject: Re: bug#43756: Fix for TTY menus mouse interaction

From: Jared Finder <[email-masked]>
Date: Fri, 02 Oct 2020 09:45:33 -0700

On 2020-10-02 7:37 am, Lars Ingebrigtsen wrote:
> Jared Finder <[email-masked]> writes:
> 
>> Let me know if you need more details to reproduce the issues. In this
>> case, I think the issues fixed are straightforward.
> 
> Yes, a recipe for reproducing this problem would be nice (including 
> what
> you're seeing and what you're expecting to see), starting from "emacs 
> -Q".

Environment:

* Emacs repo from git://git.sv.gnu.org/emacs.git, commit 
f6277911eb2c520aec8f0efd80c91999226e3322
* Run on Debian under Windows Subsystem for Linux 2 (the VM version). 
I've also seen this on MacOS and native Win32 builds of Emacs.

Steps to reproduce:

emacs -Q
M-x ielm
M-x xterm-mouse-mode
Click on File in the menu bar.
--> observe that you get the File menu displayed via tmm.el
Click on Edit, Options, Buffers, Tools, IELM in the menu bar.
--> observe that you get the menu clicked on displayed via tmm.el.

Now the buggy parts:

Click on the "C" in Complete in the menu bar.
--> The Help menu displays. I expect the Complete menu to display.
Click on the "I" in In/Out in the menu bar.
--> The Signals menu displays. I expect the In/Out menu to display.
Click on the "H" in Help in the menu bar.
--> The root menu displays. I expect the Help menu to display.
Run M-x tmm-menubar
--> The menu listed is in the order File, Edit, Options, Buffers, Tools, 
IELM, Help, Signals, In/Out, Complete. I expect the menu to be displayed 
in the same order as the menu bar display.

   -- MJF